Bug 1758831 - GDM login screen doesn't show up on kernel 5.3.2
Summary: GDM login screen doesn't show up on kernel 5.3.2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-06 03:02 UTC by Masami Ichikawa
Modified: 2019-11-04 13:27 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-04 13:27:33 UTC


Attachments (Terms of Use)
dmesg (74.68 KB, text/plain)
2019-10-06 03:03 UTC, Masami Ichikawa
no flags Details
lspci -vvnn output (11.78 KB, text/plain)
2019-10-06 03:03 UTC, Masami Ichikawa
no flags Details
cpuinfo (1.48 KB, text/plain)
2019-10-06 03:04 UTC, Masami Ichikawa
no flags Details
backtrace (1.36 KB, text/plain)
2019-10-06 03:05 UTC, Masami Ichikawa
no flags Details

Description Masami Ichikawa 2019-10-06 03:02:54 UTC
1. Please describe the problem:

I installed testdays kernel rpms from koji(https://koji.fedoraproject.org/koji/taskinfo?taskID=37989171)


Then reboot machine, the result is GDM login screen doesn't show up.

Following log is displayed in console.

Starting Show Plymouth Boot Screen...

When I remove rhgb and quiet from kernel command line, it shows gray background screen and blinking.

2. What is the Version-Release number of the kernel:

kernel-5.3.2-300.fc30.x86_64
kernel-modules-extra-5.3.2-300.fc30.x86_64
kernel-core-5.3.2-300.fc30.x86_64
kernel-modules-5.3.2-300.fc30.x86_64
kernel-devel-5.3.2-300.fc30.x86_64


3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

kernel 5.2.18-200.fc30.x86_64 works fine.


4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

This is test step.

1. Install testdays kernel package
2. Reboot machine  and boot with new kernel

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

I haven't tested rawhide kernel. btw, mainline kernel 5.4-rc1 have same issue.


6. Are you running any modules that not shipped with directly Fedora's kernel?:

No.

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 Masami Ichikawa 2019-10-06 03:03:21 UTC
Created attachment 1622869 [details]
dmesg

Comment 2 Masami Ichikawa 2019-10-06 03:03:43 UTC
Created attachment 1622870 [details]
lspci -vvnn output

Comment 3 Masami Ichikawa 2019-10-06 03:04:10 UTC
Created attachment 1622871 [details]
cpuinfo

Comment 4 Masami Ichikawa 2019-10-06 03:05:00 UTC
Created attachment 1622872 [details]
backtrace

Comment 5 Masami Ichikawa 2019-10-06 03:06:36 UTC
abrt says "The backtrace does not contain enough meaningful function frames to be reported. It is annoying but it does not necessary signalize a problem with your computer. ABRT will not allow you to create a report in a bug tracking system but you can contact kernel maintainers via e-mail."  so I've reported and attached some files manually.

Comment 6 Masami Ichikawa 2019-10-06 03:23:46 UTC
I tested testday image(https://jforbes.fedorapeople.org/kerneltest-5.3.iso) that have same issue. However, when I select "Troubleshooting" -> "Start kernel in basic graphic mode", that works fine. I could see 
welcome menu.

Comment 7 Masami Ichikawa 2019-10-07 00:04:59 UTC
I use dual monitor system that one connected via HDMI and other connected via DVI.

Comment 8 Masami Ichikawa 2019-10-10 07:10:58 UTC
I've fill bug report to https://bugs.freedesktop.org/show_bug.cgi?id=111966

Comment 9 Masami Ichikawa 2019-10-12 02:21:11 UTC
Patch has been sent to stable kernel mailing list.
https://www.spinics.net/lists/stable/msg334633.html

Comment 10 Masami Ichikawa 2019-11-02 00:23:47 UTC
I confirmed that problem is fixed in 5.3.8-200.fc30.x86_64.

Comment 11 Laura Abbott 2019-11-04 13:27:33 UTC
Thanks for letting us know


Note You need to log in before you can comment on or make changes to this bug.